# Returns a list of records that are upcoming

Returns a list of records that are upcoming

Endpoint: GET /events/{tenantId}/public/upcoming
Version: v1-2025-04-18

## Path parameters:

  - `tenantId` (string, required)
    The tenant

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

  - `exclusiveStartKey` (string)
    If paging, this allows you to return the next set of results

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.currency_code` (string)

  - `Items.currency_symbol` (string)

  - `Items.description` (string)

  - `Items.enable_documents` (boolean)
    Whether documents is enabled

  - `Items.end_date` (string)
    The end of the event

  - `Items.featured` (boolean)
    If true, this event should be featured and displayed prominently

  - `Items.featured_from` (string)
    The time during which this event should be featured

  - `Items.featured_until` (string)
    The time during which this event should be featured

  - `Items.id` (string)
    The unique, string identifier of this event

  - `Items.location` (object)
    A complete address

  - `Items.location.city` (string)
    The city of the address

  - `Items.location.country` (string)
    The country ISO code

  - `Items.location.country_name` (string)
    The full name of hte country

  - `Items.location.county` (string)
    The county

  - `Items.location.latitude` (number)

  - `Items.location.line1` (string)
    The first line of the address

  - `Items.location.line2` (string)
    The second line of the address

  - `Items.location.line3` (string)
    The third line of the address

  - `Items.location.longitude` (number)

  - `Items.location.postal_code` (string)
    The zip/postal code

  - `Items.location.state` (string)
    The state/province of the address

  - `Items.location.time_zone_id` (string)

  - `Items.masthead_image_uri` (string)
    The masthead image to be displayed for the event

  - `Items.name` (string)
    The name of the event

  - `Items.portal_integrated_events_options` (object)

  - `Items.portal_integrated_events_options.registrant_directory_id` (string)
    The attendee directory ID

  - `Items.portal_integrated_events_options.show_group_registration` (boolean)
    If true, group registration is shown

  - `Items.portal_integrated_events_options.show_registrant_directory` (boolean)
    If true, a list of attendees are shown

  - `Items.portal_integrated_events_options.show_schedule` (boolean)
    If true, schedule is shown

  - `Items.registration_deadlines` (array)

  - `Items.registration_deadlines.date` (string)
    The registration deadline date/time

  - `Items.registration_deadlines.id` (string)
    The registration deadline

  - `Items.registration_deadlines.name` (string)
    Name of the deadline

  - `Items.site_mode` (string)
    Describes how this event registration and site information will be hosted and displayed
    Enum: "external", "microsite", "none", "portal integrated"

  - `Items.sold_out` (boolean)
    Whether the event is sold out

  - `Items.start_date` (string)
    The start of the event

  - `Items.text_to_display_when_sold_out` (string)

  - `Items.thumbnail_image_uri` (string)
    The masthead image to be displayed for the event

  - `Items.timezone` (string)
    The timezone of the event

  - `Items.timezone_abbreviation` (string)
    The timezone abbreviation, based on the event start date

  - `Items.timezone_offset` (number)
    The time zone offset, in minutes, from UTC, based on the event start date

  - `Items.type_id` (string)
    The type of event

  - `Items.type_name` (string)
    The type of event

  - `Items.url` (string)
    The URL of the event site

  - `Items.venue_id` (string)
    The venue hosting the event

  - `Items.venue_name` (string)
    The venue hosting the event

  - `Items.visible_in_portal` (boolean)

  - `Items.wait_list_available` (boolean)
    Whether the wait list is available

  - `LastEvaluatedKey` (string)


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 429 fields

## Response 500 fields
